#!/bin/bash

if [ -z ${RUST_CLASS_ROOT+x} ]; then echo "RUST_CLASS_ROOT is unset"; else echo "var is set to '$RUST_CLASS_ROOT'"; fi
if [ -z ${SL_CLASS_ROOT+x} ]; then echo "SL_CLASS_ROOT is unset"; else echo "var is set to '$SL_CLASS_ROOT'"; fi
if [ -z ${MTI_CLASS_ROOT+x} ]; then echo "MTI_CLASS_ROOT is unset"; else echo "var is set to '$MTI_CLASS_ROOT'"; fi
if [ -z ${RUST_EXERCICES_ROOT+x} ]; then echo "RUST_EXERCICES_ROOT is unset"; else echo "var is set to '$RUST_EXERCICES_ROOT'"; fi
if [ -z ${CONC_ROOT+x} ]; then echo "CONC_ROOT is unset"; else echo "var is set to '$CONC_ROOT'"; fi

## declare classes directories
declare -a arr=("$RUST_CLASS_ROOT" "$SL_CLASS_ROOT" "$MTI_CLASS_ROOT" "$RUST_EXERCICES_ROOT" "$CONC_ROOT" "$(pwd)")

## now loop through the above array
for i in "${arr[@]}"
do
	echo "Deploying $i"
	## pull them
	git -C $i pull
	## deploy
	make deploy -C $i
done

echo "$(pwd)"/site/

rsync -avz index.html malaspinas@129.194.185.180:/www/
rsync -avz $RUST_CLASS_ROOT/prog_seq malaspinas@129.194.185.180:/www/
rsync -avz $SL_CLASS_ROOT/sol malaspinas@129.194.185.180:/www/
rsync -avz $MTI_CLASS_ROOT/mti malaspinas@129.194.185.180:/www/
rsync -avz $CONC_ROOT/concurrence malaspinas@129.194.185.180:/www/

# docker stop rustclass
# docker build -t rustclasscont .
# docker run --rm \
#         --mount src=$RUST_CLASS_ROOT/prog_seq,target=/usr/share/nginx/html/prog_seq/,type=bind\
#         --mount src=$SL_CLASS_ROOT/sol,target=/usr/share/nginx/html/sol/,type=bind\
#         --mount src=$MTI_CLASS_ROOT/mti,target=/usr/share/nginx/html/mti/,type=bind\
#         --name rustclass -p 80:80 -p 443:443 -d rustclasscont
